GEThttps://api.breeze.blue/v1/voices

List voices

List premade and developer-owned voices.

Authentication

API key: Send your Breeze Developer API key with the xi-api-key header.

Headers

FieldTypeDescription
xi-api-keyrequiredstringYour Breeze Developer API key. See authentication.

Query parameters

FieldTypeDescription
searchstringFilter voices by name or description.
categorystringOptional category filter. Accepted values: premade, generated, cloned.
voice_typestring
default: all
Voice source filter. Accepted values: all, default, personal.
sortstring
default: created_at_unix
Sort field. Accepted values: created_at_unix, name.
sort_directionstring
default: desc
Sort direction. Accepted values: asc, desc.
next_page_tokenstringCursor token returned by a previous response.
pageinteger
default: 1
Page number for offset-based navigation.
page_sizeinteger
default: 50
Number of records to return per page.

Example request

python import os from breeze_blue import BreezeBlue client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"]) voices = client.voices.search() for voice in voices["voices"]: print(voice["voice_id"], voice["name"]) typescript import { BreezeBlueClient } from "@breeze.blue/sdk"; const client = new BreezeBlueClient({ apiKey: process.env.BREEZE_API_KEY!, }); const voices = await client.voices.search(); for (const voice of voices.voices) { console.log(voice.voiceId, voice.name); } curl curl "https://api.breeze.blue/v1/voices" \ -H "xi-api-key: $BREEZE_API_KEY"
import os

from breeze_blue import BreezeBlue

client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

voices = client.voices.search()
for voice in voices["voices"]:
    print(voice["voice_id"], voice["name"])

Response

Paginated voice list.

Content types: application/json

Response headers:

  • x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
  "voices": [
    {
      "voice_id": "voc_xeh3w54cqvnp",
      "name": "Example",
      "category": "string",
      "voice_type": "string",
      "labels": {
        "example": "string"
      },
      "preview_url": "https://example.com/audio.mp3",
      "settings": {
        "guidance_scale": 1
      },
      "description": "Example description.",
      "created_at_unix": 1
    }
  ],
  "has_more": true,
  "next_page_token": "string",
  "total": 1,
  "page": 1,
  "page_size": 1
}

Errors

  • BAD_REQUESTOne of the filter values is not valid for this endpoint.
  • AUTH_REQUIREDAuthentication is required.

See the full list on errors.